import { ComponentProps, ElementType, ForwardedRef, ReactNode } from "react";
import { DomProps } from "../../shared";
export interface InnerFieldsetProps extends DomProps {
    /**
     * A label identifying the group.
     */
    label: string;
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
     * React children.
     */
    children: ReactNode;
    /**
     * @ignore
     */
    forwardedRef: ForwardedRef<any>;
}
export declare function InnerFieldset({ id, label, as: As, children, forwardedRef, ...rest }: InnerFieldsetProps): JSX.Element;
export declare const Fieldset: import("../../shared").OrbitComponent<HTMLElement, InnerFieldsetProps>;
export declare type FieldsetProps = ComponentProps<typeof Fieldset>;
