import { Icon } from "./Icon";
import { forwardRef, slot } from "../../shared";
import { jsx as _jsx } from "react/jsx-runtime";
export const InnerMultiVariantIcon = ({
  src24: Component24,
  src32: Component32,
  size,
  forwardedRef,
  ...rest
}) => {
  let src = Component24;

  if (size === "lg" || size === "xl") {
    src = Component32;
  }

  return /*#__PURE__*/_jsx(Icon, { ...rest,
    src: src,
    size: size,
    ref: forwardedRef
  });
};
export const MultiVariantIcon = slot("icon", forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerMultiVariantIcon, { ...props,
  forwardedRef: ref
})));
Icon.displayName = "MultiVariantIcon";
////////
export function createMultiVariantIcon(src24, src32) {
  return slot("icon", forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerMultiVariantIcon, { ...props,
    src24: src24,
    src32: src32,
    forwardedRef: ref
  })));
}