import "./Illustration.css";
import { ComponentProps, ElementType, ForwardedRef, ReactNode } from "react";
export interface InnerIllustrationProps {
    /**
     * The orientation of the illustration.
     */
    orientation?: "horizontal" | "vertical";
    /**
     * The illustration shape.
     */
    shape?: "straight" | "rounded";
    /**
     * The illustration background color, e.g "primary-200".
     */
    color?: string;
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
     * Default slot override.
     */
    slot?: string;
    /**
     * React children.
     */
    children: ReactNode;
    /**
     * @ignore
     */
    forwardedRef: ForwardedRef<any>;
}
export declare function InnerIllustration({ orientation, shape, color, as, children, forwardedRef, ...rest }: InnerIllustrationProps): JSX.Element;
export declare const Illustration: import("../../shared").OrbitComponent<HTMLElement, InnerIllustrationProps>;
export declare type IllustrationProps = ComponentProps<typeof Illustration>;
