import { AriaLabelingProps } from "../../shared";
import { ComponentProps, ElementType, ForwardedRef } from "react";
export interface InnerSvgImageProps extends AriaLabelingProps {
    /**
     * An SVG as a React component.
     */
    src: ElementType;
    /**
     * Width and height in a single value.
     */
    size?: string;
    /**
    * @ignore
    */
    width?: number;
    /**
    * @ignore
    */
    height?: number;
    /**
     * The SVG stroke attribute. See [MDN](https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/stroke).
     */
    stroke?: string;
    /**
     * The SVG fill attribute. See [MDN](https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/fill).
     */
    fill?: string;
    /**
     * Defines a string value that labels the current element.
     */
    "aria-label": string;
    /**
     * Default slot override.
     */
    slot?: string;
    /**
    * @ignore
    */
    forwardedRef: ForwardedRef<any>;
}
export declare function InnerSvgImage({ src, size, width, height, stroke, fill, "aria-label": ariaLabel, forwardedRef, ...rest }: InnerSvgImageProps): JSX.Element;
export declare const SvgImage: import("../../shared").OrbitComponent<HTMLElement, InnerSvgImageProps>;
export declare type SvgImageProps = ComponentProps<typeof SvgImage>;
