import { Box } from "../../box";
import { forwardRef, isNil, isNilOrEmpty, isString, mergeProps } from "../../shared";
import { jsx as _jsx } from "react/jsx-runtime";
const Spacing = ["--o-ui-global-scale-alpha", "--o-ui-global-scale-bravo", "--o-ui-global-scale-charlie", "--o-ui-global-scale-delta", "--o-ui-global-scale-echo", "--o-ui-global-scale-foxtrot", "--o-ui-global-scale-golf", "--o-ui-global-scale-hotel", "--o-ui-global-scale-india", "--o-ui-global-scale-juliett", "--o-ui-global-scale-kilo", "--o-ui-global-scale-lima", "--o-ui-global-scale-mike"];
export function InnerFlex({
  direction = "row",
  inline,
  reverse,
  alignContent,
  alignItems,
  justifyContent,
  gap,
  wrap,
  fluid,
  style: {
    width,
    height,
    ...style
  } = {},
  children,
  forwardedRef,
  ...rest
}) {
  const noGap = isNilOrEmpty(gap) || gap === 0;
  return /*#__PURE__*/_jsx(Box, { ...mergeProps(rest, {
      style: { ...style,
        display: inline ? "inline-flex" : "flex",
        flexDirection: direction ? `${direction}${reverse ? "-reverse" : ""}` : undefined,
        // Normalize values until Chrome support `start` & `end`, https://developer.mozilla.org/en-US/docs/Web/CSS/align-items.
        alignContent: alignContent && alignContent.replace("start", "flex-start").replace("end", "flex-end"),
        alignItems: alignItems && alignItems.replace("start", "flex-start").replace("end", "flex-end"),
        justifyContent: justifyContent && justifyContent.replace("start", "flex-start").replace("end", "flex-end"),
        flexWrap: !isNil(wrap) ? "wrap" : undefined,
        gap: !noGap && (isString(gap) ? gap : `var(${Spacing[gap - 1]})`),
        width: !isNil(width) ? width : fluid && direction === "row" ? "100%" : undefined,
        height: !isNil(height) ? height : fluid && direction === "column" ? "100%" : undefined
      },
      ref: forwardedRef
    }),
    children: children
  });
}
export const Flex = forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerFlex, { ...props,
  forwardedRef: ref
}));