import { cssModule, forwardRef, mergeProps } from "../../shared";
import { Link } from "../../link";
import { useTile } from "./useTile";
import { jsx as _jsx } from "react/jsx-runtime";
export function InnerTileLink({
  orientation = "vertical",
  disabled,
  active,
  focus,
  hover,
  children,
  forwardedRef,
  ...rest
}) {
  const {
    tileProps,
    markup
  } = useTile({
    variant: "link",
    orientation,
    active,
    focus,
    hover,
    children
  });
  return /*#__PURE__*/_jsx(Link, { ...mergeProps(rest, {
      className: cssModule("o-ui-tile-link", disabled && "disabled"),
      disabled,
      active,
      focus,
      hover,
      ref: forwardedRef
    }, tileProps),
    children: markup
  });
}
export const TileLink = forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerTileLink, { ...props,
  forwardedRef: ref
}));
TileLink.displayName = "TileLink";