import { Box } from "../../box";
import { cssModule, useSlots } from "../../shared";
import { useMemo } from "react";
import { Text } from "../../typography";
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
import { Fragment as _Fragment } from "react/jsx-runtime";
export function useTile({
  variant,
  orientation,
  active,
  focus,
  hover,
  children
}) {
  const {
    image,
    illustration,
    heading,
    content
  } = useSlots(children, useMemo(() => ({
    _: {
      required: ["heading", "content"]
    },
    image: {
      className: "o-ui-tile-image"
    },
    illustration: {
      orientation: orientation === "horizontal" ? "vertical" : "horizontal",
      className: "o-ui-tile-illustration"
    },
    heading: {
      className: "o-ui-tile-heading",
      size: "xs",
      as: "span"
    },
    content: {
      className: "o-ui-tile-content",
      as: Text
    }
  }), [orientation]));

  const imageMarkup = image && /*#__PURE__*/_jsx(Box, {
    className: "o-ui-tile-thumbnail",
    children: image
  });

  return {
    tileProps: {
      className: cssModule("o-ui-tile", variant, orientation, active && "active", focus && "focus", hover && "hover")
    },
    markup: /*#__PURE__*/_jsxs(_Fragment, {
      children: [imageMarkup, illustration, /*#__PURE__*/_jsxs("div", {
        className: "o-ui-tile-main",
        children: [heading, content]
      })]
    })
  };
}